Package org.kie.internal.runtime

# Interface CommandBasedStatefulKnowledgeSession

All Superinterfaces:
  `AutoCloseable`, `CommandExecutor`, `EntryPoint`, `KieRuntime`, `KieRuntimeEventManager`, `KieSession`, `ProcessEventManager`, `ProcessRuntime`, `RuleRuntime`, `RuleRuntimeEventManager`, `RuntimeSession`, `StatefulKnowledgeSession`, `StatefulProcessSession`, `StatefulRuleSession`

public interface CommandBasedStatefulKnowledgeSession extends StatefulKnowledgeSession

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.kie.api.runtime.KieSession

  `KieSession.AtomicAction`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KieSession`
  `getKieSession()`
  `ExecutableRunner`
  `getRunner()`

  ### Methods inherited from interface org.kie.api.runtime.CommandExecutor

  `execute`

  ### Methods inherited from interface org.kie.api.runtime.rule.EntryPoint

  `delete, delete, getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getInstancesOf, getObject, getObjects, getObjects, getSingleInstanceOf, insert, retract, update, update`

  ### Methods inherited from interface org.kie.api.runtime.KieRuntime

  `getCalendars, getEnvironment, getGlobal, getSessionClock, getSessionConfiguration`

  ### Methods inherited from interface org.kie.api.event.KieRuntimeEventManager

  `getLogger`

  ### Methods inherited from interface org.kie.api.runtime.KieSession

  `close, destroy, dispose, getId, getIdentifier, getKieRuntime, submit`

  ### Methods inherited from interface org.kie.api.event.process.ProcessEventManager

  `addEventListener, getProcessEventListeners, removeEventListener`

  ### Methods inherited from interface org.kie.api.runtime.process.ProcessRuntime

  `abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessInstance`

  ### Methods inherited from interface org.kie.api.runtime.rule.RuleRuntime

  `getAgenda, getEntryPoint, getEntryPoints, getQueryResults, halt, openLiveQuery`

  ### Methods inherited from interface org.kie.api.event.rule.RuleRuntimeEventManager

  `addEventListener, addEventListener, getAgendaEventListeners, getRuleRuntimeEventListeners, removeEventListener, removeEventListener`

  ### Methods inherited from interface org.kie.api.runtime.RuntimeSession

  `getChannels, getGlobals, getKieBase, registerChannel, setGlobal, unregisterChannel`

  ### Methods inherited from interface org.kie.api.runtime.rule.StatefulRuleSession

  `fireAllRules, fireAllRules, fireAllRules, fireAllRules, fireUntilHalt, fireUntilHalt`

- ## Method Details

  - ### getRunner

    ExecutableRunner getRunner()

  - ### getKieSession

    KieSession getKieSession()